<template>
    <div class="lg-hexagon " outlined tile @click="$emit('click')" :class="{ active: check }">
        <p class="title-kpi">{{ title }}</p>
        <slot></slot>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class LargeHexCheckBox extends Vue {
    @Prop({ type: Boolean }) check!: boolean;
    @Prop({ default: '' })
    title!: string;
}
</script>

<style>
.lg-hexagon {
    position: relative;
    max-height: 50px;
    min-width: 11vw;
    margin-left: 50px;
    color: #ffffff;
    background-color: #e5ebf7;
    text-align: center;
    padding: 13px;
}

.lg-hexagon:before {
    content: '';
    position: absolute;
    right: 100%;
    top: 0px;
    width: 0px;
    height: 0px;
    border-top: 25px solid transparent;
    border-right: 30px solid #e5ebf7;
    border-bottom: 25px solid transparent;
}

.lg-hexagon:after {
    content: '';
    position: absolute;
    left: 100%;
    top: 0px;
    width: 0px;
    height: 0px;
    border-top: 25px solid transparent;
    border-left: 30px solid #e5ebf7;
    border-bottom: 25px solid transparent;
}
.title-kpi {
    font-size: 18px;
    font-weight: 800;
    color: #000;
    white-space: nowrap;
}
.active {
    background-color: #feca38;
    color: black;
}
.active:before {
    content: '';
    position: absolute;
    right: 100%;
    top: 0px;
    width: 0px;
    height: 0px;
    border-top: 25px solid transparent;
    border-right: 30px solid #feca38;
    border-bottom: 25px solid transparent;
}
.active:after {
    content: '';
    position: absolute;
    left: 100%;
    top: 0px;
    width: 0px;
    height: 0px;
    border-top: 25px solid transparent;
    border-left: 30px solid #feca38;
    border-bottom: 25px solid transparent;
}
</style>
